package eval

import (
	"git.urbach.dev/cli/q/src/asm"
	"git.urbach.dev/cli/q/src/types"
)

// Label is a named pointer to a code or data section.
type Label struct {
	Typ   types.Type
	Label asm.Label
}

func (v *Label) String() string {
	return "Label"
}

func (v *Label) Type() types.Type {
	return v.Typ
}
