package core

import "git.urbach.dev/cli/q/src/asm"

// AddBytes adds a sequence of bytes and returns its address as a label.
func (f *Function) AddBytes(value []byte) asm.Label {
	f.count.data++
	label := f.CreateLabel("data", f.count.data, asm.DataLabel)
	f.Assembler.SetData(label.Name, value)
	return label
}
