package register

import (
	"git.urbach.dev/cli/q/src/asm"
	"git.urbach.dev/cli/q/src/cpu"
)

func (f *Machine) RegisterLabel(mnemonic asm.Mnemonic, register cpu.Register, label asm.Label) {
	f.Assembler.RegisterLabel(mnemonic, register, label)

	if mnemonic == asm.MOVE {
		f.UseRegister(register)
	}

	f.postInstruction()
}
