package token_test

import (
	"testing"

	"git.urbach.dev/cli/q/src/token"
	"git.urbach.dev/go/assert"
)

func TestInstructions(t *testing.T) {
	src := []byte("a := 1\nb := 2\n")
	tokens := token.Tokenize(src)
	nodes := []string{}

	for param := range tokens.Instructions {
		nodes = append(nodes, param.Text(src))
	}

	assert.DeepEqual(t, nodes, []string{"a:=1", "b:=2"})
}
